<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="AndroidLogFilters">
    <option name="TOOL_WINDOW_CONFIGURED_FILTER" value="Show only selected application" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="3cd1a7fd-e2dd-4ba3-a285-40a23b358a53" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/../../../outbox/pack_all.bat" beforeDir="false" afterPath="$PROJECT_DIR$/../../../outbox/pack_all.bat" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/caches/build_file_checksums.ser" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/caches/build_file_checksums.ser" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/misc.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/misc.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../vs/ucatering_all/ucatering_all.vcxproj" beforeDir="false" afterPath="$PROJECT_DIR$/../../vs/ucatering_all/ucatering_all.vcxproj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../../scripts/build.sh" beforeDir="false" afterPath="$PROJECT_DIR$/../../../scripts/build.sh" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../../src/buildExe.sh" beforeDir="false" afterPath="$PROJECT_DIR$/../../../src/buildExe.sh" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../../src/core/CookMenuInl.cpp" beforeDir="false" afterPath="$PROJECT_DIR$/../../../src/core/CookMenuInl.cpp" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../../src/data/json/CookBaseData.cpp" beforeDir="false" afterPath="$PROJECT_DIR$/../../../src/data/json/CookBaseData.cpp" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../../src/lib/uvm/UVmWrapper.cpp" beforeDir="false" afterPath="$PROJECT_DIR$/../../../src/lib/uvm/UVmWrapper.cpp" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../../src/util/CookLog.cpp" beforeDir="false" afterPath="$PROJECT_DIR$/../../../src/util/CookLog.cpp" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="Nexus_S_Edited_API_22" />
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <projects_view />
      </state>
    </system>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/../../.." />
  </component>
  <component name="ProjectId" id="1fzhPBd0bZynPG2gESN4OwLYS2Q" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showExcludedFiles" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="ASKED_ADD_EXTERNAL_FILES" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="android.sdk.path" value="F:/android_utils/android-sdk-windows" />
    <property name="settings.editor.selected.configurable" value="preferences.general" />
  </component>
  <component name="RunManager">
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="DEVICE_AND_SNAPSHOT_COMBO_BOX" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="3cd1a7fd-e2dd-4ba3-a285-40a23b358a53" name="Default Changelist" comment="" />
      <created>1597226801325</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1597226801325</updated>
    </task>
    <servers />
  </component>
  <component name="WindowStateProjectService">
    <state x="400" y="186" key="#com.intellij.ide.util.MemberChooser" timestamp="1611137766652">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="400" y="186" key="#com.intellij.ide.util.MemberChooser/0.0.1920.1040@0.0.1920.1040" timestamp="1611137766652" />
    <state x="513" y="219" key="#xdebugger.evaluate" timestamp="1611210236215">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="513" y="219" key="#xdebugger.evaluate/0.0.1920.1040@0.0.1920.1040" timestamp="1611210236215" />
    <state width="457" height="466" key="DebuggerActiveHint" timestamp="1611278232277">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="457" height="466" key="DebuggerActiveHint/0.0.1920.1040@0.0.1920.1040" timestamp="1611278232277" />
    <state width="931" height="272" key="GridCell.Tab.0.bottom" timestamp="1611289920189">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="931" height="272" key="GridCell.Tab.0.bottom/0.0.1920.1040@0.0.1920.1040" timestamp="1611289920189" />
    <state width="931" height="272" key="GridCell.Tab.0.center" timestamp="1611289920189">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="931" height="272" key="GridCell.Tab.0.center/0.0.1920.1040@0.0.1920.1040" timestamp="1611289920189" />
    <state width="931" height="272" key="GridCell.Tab.0.left" timestamp="1611289920189">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="931" height="272" key="GridCell.Tab.0.left/0.0.1920.1040@0.0.1920.1040" timestamp="1611289920189" />
    <state width="931" height="272" key="GridCell.Tab.0.right" timestamp="1611289920189">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="931" height="272" key="GridCell.Tab.0.right/0.0.1920.1040@0.0.1920.1040" timestamp="1611289920189" />
    <state width="931" height="272" key="GridCell.Tab.1.bottom" timestamp="1611289920189">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="931" height="272" key="GridCell.Tab.1.bottom/0.0.1920.1040@0.0.1920.1040" timestamp="1611289920189" />
    <state width="931" height="272" key="GridCell.Tab.1.center" timestamp="1611289920189">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="931" height="272" key="GridCell.Tab.1.center/0.0.1920.1040@0.0.1920.1040" timestamp="1611289920189" />
    <state width="931" height="272" key="GridCell.Tab.1.left" timestamp="1611289920189">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="931" height="272" key="GridCell.Tab.1.left/0.0.1920.1040@0.0.1920.1040" timestamp="1611289920189" />
    <state width="931" height="272" key="GridCell.Tab.1.right" timestamp="1611289920189">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="931" height="272" key="GridCell.Tab.1.right/0.0.1920.1040@0.0.1920.1040" timestamp="1611289920189" />
    <state x="492" y="241" key="RollbackChangesDialog" timestamp="1611279050296">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="492" y="241" key="RollbackChangesDialog/0.0.1920.1040@0.0.1920.1040" timestamp="1611279050296" />
    <state x="371" y="222" width="672" height="678" key="search.everywhere.popup" timestamp="1611223249844">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="371" y="222" width="672" height="678" key="search.everywhere.popup/0.0.1920.1040@0.0.1920.1040" timestamp="1611223249844" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" suspend="THREAD" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/utcloud/cookengine/MainActivity.java</url>
          <line>199</line>
          <option name="timeStamp" value="57" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/utcloud/cookengine/MainActivity.java</url>
          <line>192</line>
          <option name="timeStamp" value="60" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="com.jetbrains.cidr.execution.debugger.OCBreakpointType">
          <url>file://$PROJECT_DIR$/../../../src/platform/jni/CCookMenu.hpp</url>
          <line>64</line>
          <option name="timeStamp" value="68" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="com.jetbrains.cidr.execution.debugger.OCBreakpointType">
          <url>file://$PROJECT_DIR$/../../../src/platform/jni/CCookMenu.hpp</url>
          <line>53</line>
          <option name="timeStamp" value="69" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="com.jetbrains.cidr.execution.debugger.OCBreakpointType">
          <url>file://$PROJECT_DIR$/../../../src/platform/jni/CCookMenu.hpp</url>
          <line>58</line>
          <option name="timeStamp" value="70" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>